Bug 1316960 - (6.4.z) max-active-sessions in jboss-web.xml is not working
(6.4.z) max-active-sessions in jboss-web.xml is not working
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web (Show other bugs)
6.4.7
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.12
Assigned To: Enrique Gonzalez Martinez
Radim Hatlapatka
eap6412-proposed
:
Depends On:
Blocks: eap6412-payload
  Show dependency treegraph
 
Reported: 2016-03-11 09:29 EST by Michael Cada
Modified: 2017-01-17 08:15 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 08:13:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Simple web app for session counting (2.66 KB, application/zip)
2016-03-11 09:29 EST, Michael Cada
no flags Details

  None (edit)
Description Michael Cada 2016-03-11 09:29:49 EST
Created attachment 1135257 [details]
Simple web app for session counting

Description of problem:

If you set

<jboss-web>
  <max-active-sessions>3</max-active-sessions>
</jboss-web>

in jboss-web.xml, property MAX_ACTIVE_SESSIONS is not set on 3.

But if you start EAP with
  ./standalone -Dorg.apache.catalina.session.StandardManager.MAX_ACTIVE_SESSIONS=3
it works.

You can use attached application for session counting, deploy it and from jboss-cli use:
      /deployment=something.war/subsystem=web:read-resource(include-runtime=true)
to see active-sessions.

URL for something.war session counter is http://localhost:8080/something/SessionAccessCounter

Expected result:
If you set max-active-sessions in jboss-web.xml it should set property MAX_ACTIVE_SESSIONS and all sessions over this number should be rejected.
Comment 1 Enrique Gonzalez Martinez 2016-03-16 07:50:51 EDT
PR against 6.4.z 
https://github.com/jbossas/jboss-eap/pull/2733
no upstream required.
Comment 2 Mike McCune 2016-03-28 18:33:16 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 3 Michael Cada 2016-11-11 04:03:30 EST
Verified with EAP 6.4.12.CP.CR1
Comment 4 Petr Penicka 2017-01-17 08:13:33 EST
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.
Comment 5 Petr Penicka 2017-01-17 08:15:49 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.